Page MenuHomePhabricator

Remove Deprecated WatchedItem methods and constants
Closed, ResolvedPublic

Description

33) WatchedItemIntegrationTest::testWatchAndUnWatchItem

Use of WatchedItem::fromUserTitle is deprecated. [Called from WatchedItemIntegrationTest::setUp in /home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/watcheditem/WatchedItemIntegrationTest.php at line 18]


/home/travis/build/wikimedia/mediawiki/includes/debug/MWDebug.php:309

/home/travis/build/wikimedia/mediawiki/includes/debug/MWDebug.php:241

/home/travis/build/wikimedia/mediawiki/includes/GlobalFunctions.php:1182

/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:1470

/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/watcheditem/WatchedItemIntegrationTest.php:18

/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:416

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


34) WatchedItemIntegrationTest::testUpdateAndResetNotificationTimestamp

Use of WatchedItem::addWatch is deprecated. [Called from WatchedItemIntegrationTest::setUp in /home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/watcheditem/WatchedItemIntegrationTest.php at line 19]


/home/travis/build/wikimedia/mediawiki/includes/debug/MWDebug.php:309

/home/travis/build/wikimedia/mediawiki/includes/debug/MWDebug.php:241

/home/travis/build/wikimedia/mediawiki/includes/GlobalFunctions.php:1182

/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:1470

/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/watcheditem/WatchedItemIntegrationTest.php:19

/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:416

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


35) WatchedItemIntegrationTest::testDuplicateAllAssociatedEntries

Use of WatchedItem::removeWatch is deprecated. [Called from WatchedItemIntegrationTest::setUp in /home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/watcheditem/WatchedItemIntegrationTest.php at line 20]


/home/travis/build/wikimedia/mediawiki/includes/debug/MWDebug.php:309

/home/travis/build/wikimedia/mediawiki/includes/debug/MWDebug.php:241

/home/travis/build/wikimedia/mediawiki/includes/GlobalFunctions.php:1182

/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:1470

/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/watcheditem/WatchedItemIntegrationTest.php:20

/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:416

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


36) WatchedItemIntegrationTest::testIsWatched_falseOnNotAllowed

Use of WatchedItem::isWatched is deprecated. [Called from WatchedItemIntegrationTest::setUp in /home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/watcheditem/WatchedItemIntegrationTest.php at line 21]


/home/travis/build/wikimedia/mediawiki/includes/debug/MWDebug.php:309

/home/travis/build/wikimedia/mediawiki/includes/debug/MWDebug.php:241

/home/travis/build/wikimedia/mediawiki/includes/GlobalFunctions.php:1182

/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:1470

/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/watcheditem/WatchedItemIntegrationTest.php:21

/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:416

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


37) WatchedItemIntegrationTest::testGetNotificationTimestamp_falseOnNotAllowed

Use of WatchedItem::duplicateEntries is deprecated. [Called from WatchedItemIntegrationTest::setUp in /home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/watcheditem/WatchedItemIntegrationTest.php at line 22]


/home/travis/build/wikimedia/mediawiki/includes/debug/MWDebug.php:309

/home/travis/build/wikimedia/mediawiki/includes/debug/MWDebug.php:241

/home/travis/build/wikimedia/mediawiki/includes/GlobalFunctions.php:1182

/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:1470

/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/watcheditem/WatchedItemIntegrationTest.php:22

/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:416

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


38) WatchedItemIntegrationTest::testRemoveWatch_falseOnNotAllowed

Use of WatchedItem::batchAddWatch is deprecated. [Called from WatchedItemIntegrationTest::setUp in /home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/watcheditem/WatchedItemIntegrationTest.php at line 23]


/home/travis/build/wikimedia/mediawiki/includes/debug/MWDebug.php:309

/home/travis/build/wikimedia/mediawiki/includes/debug/MWDebug.php:241

/home/travis/build/wikimedia/mediawiki/includes/GlobalFunctions.php:1182

/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:1470

/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/watcheditem/WatchedItemIntegrationTest.php:23

/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:416

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94

Event Timeline

Reedy created this task.Dec 8 2017, 2:53 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 8 2017, 2:53 AM
Reedy moved this task from Unsorted to PHP 7.2 on the [DO NOT USE] NewPHP board.Dec 8 2017, 2:56 AM
Reedy added a comment.Dec 8 2017, 3:03 AM

They were originally added in https://github.com/wikimedia/mediawiki/commit/ee7e5636faaf16462c330871cd51fb4ed18d837a

Looks like they want moving from setup?

Change 396299 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/core@master] Remove WatchedItem deprecated methods

https://gerrit.wikimedia.org/r/396299

Reedy renamed this task from WatchedItemIntegrationTest should suppress WatchedItem deprecated calls to Remove Deprecated WatchedItem methods and constants.Dec 8 2017, 3:15 AM

Change 396299 merged by jenkins-bot:
[mediawiki/core@master] Remove WatchedItem constants and methods deprecated in REL1_27

https://gerrit.wikimedia.org/r/396299

Reedy closed this task as Resolved.Dec 15 2017, 8:15 PM
Reedy claimed this task.
Reedy removed a project: Patch-For-Review.
hashar reopened this task as Open.Apr 1 2018, 9:34 PM
hashar added a subscriber: hashar.

REL1_30 has the same issue locally. The weird thing is that the deprecation warnings do not seem to trigger on CI :-(

Change 423469 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/core@REL1_30] Mask deprecated call in WatchedItemUnitTest

https://gerrit.wikimedia.org/r/423469

Change 423469 merged by jenkins-bot:
[mediawiki/core@REL1_30] Mask deprecated call in WatchedItemUnitTest

https://gerrit.wikimedia.org/r/423469

Change 423988 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/core@REL1_29] Mask deprecated call in WatchedItemUnitTest

https://gerrit.wikimedia.org/r/423988

Change 423988 merged by jenkins-bot:
[mediawiki/core@REL1_29] Mask deprecated call in WatchedItemUnitTest

https://gerrit.wikimedia.org/r/423988